Проблема установки .NET 4.6 с использованием Wine

7

Я совершенно новый, используя Wine, поэтому я собираюсь перечислить, что сделал:

sudo dpkg --add-architecture i386
sudo add-apt-repository ppa:wine/wine-builds
sudo apt update
sudo apt install wine-devel
export WINEARCH=win32
winecfg
sudo apt-get winetricks

После этого я перешел в Ссылка

Скачан 4.6 автономный установщик, доступный там

Затем на терминале

 cd ~/Downloads/ (where the installer was)

 wine NDP46-KB3045557-x86-x64-AllOS-ENU.exe /q (silent installation)

После этого появляется большой результат (не может публиковать, потому что фильтр не позволяет его)

Затем я проверяю установленную dotnet:

winetricks list-installed

Result: dotnet40
        dotnet45

* Оба 4.0 и 4.5 были установлены с использованием графического интерфейса winetricks перед установкой 4.6.

Я действительно не знаю, в чем проблема с установкой 4.6. Кто-то успешно установил это? Почитайте любую помощь!

Ubunt 16.04 LTS Винная версия получила: 2.1 (разработка)

Спасибо

    
задан Marc 09.02.2017 в 05:16
источник

1 ответ

7

Хорошие новости: я смог решить проблему, установив Wine 2.0 с использованием PPA Ricotz и используя его более свежие winetricks.

Во-первых, удалите последнюю установку (в моем случае это было виноделом)

sudo apt-get remove --purge wine-devel*
sudo apt-get update
sudo apt-get autoclean
sudo apt-get clean
sudo apt-get autoremove

Получите вино Ricotz 2.0:

sudo dpkg --add-architecture i386
sudo add-apt-repository ppa:ricotz/unstable
sudo apt update
sudo apt install wine2.0

Создайте другой префикс (например: .wine32), установите WINEARCH на win32 и запустите winecfg:

WINEPREFIX="$HOME/.wine32" WINEARCH=win32 winecfg
"Set Windows 7"

Затем запустите winetricks, используя последние конфигурации:

WINEPREFIX="$HOME/.wine32" WINEARCH=win32 winetricks

Теперь перейдите Выберите Default Winetricks - > Установите DLL или компоненты Windows - > dotnet46 и установите его.

Wine загрузит и установит dotnet46 и другие требования. Даже если вы просите Mono, он продолжает загружать все больше и больше требований, пока не сможет установить .NET 4.6 (для меня не было необходимости использовать Mono).

    
ответ дан Marc 10.02.2017 в 23:02
источник